// Copyright (c) 2023 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "scene/SceneItemComponent.hpp"
#include "components/TicTacToeGame.hpp"
#include "scene/components/ui/UILabel.hpp"

namespace Dawn {
  class TicTacToeScoreboard : public SceneItemComponent {
    protected:
      TicTacToeGame *game = nullptr;

    public:
      TicTacToeScoreboard(SceneItem *item);
      void onStart() override;
  };
}